Skip to content
CARP Docs
Ask AISystemLightDark

Role

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
POST
/api/accounts/role
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

application/json
  1. body
emailAddress*string
Formatemail
Length1 <= length
role?string
Value in"UNKNOWN""PARTICIPANT""RESEARCH_ASSISTANT""RESEARCHER""CARP_ADMIN""SYSTEM_ADMIN"

Response body

OK

*/*
  1. response
Example request
curl -X POST 'https://dev.carp.dk/api/accounts/role' \  -H 'Content-Type: application/json' \  -d '{  "emailAddress": "user@example.com"}'
Example response
{}

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture